# スライドの説明

このスライドでは、RFMスコアの一変量解析と二変量解析（＝RFMスコアの評価に利用した、顧客の特徴量分析）を行います。

## 最終取引日からの経過日数分布
![days_since_last_transaction_distribution.png](6AfaVnidUAt3)
このグラフでは、顧客の最終取引日から経過した日数の分布を確認できます。

## 取引件数の分布
![number_of_transactions_distributin.png](efiBq4FJv4Zv)
このグラフでは、顧客の取引件数の分布を確認できます。

## バスケット金額の分布
![baskets_amounts_distributions.png](Oz0Ohdm64Wzt)
これらのグラフでは、顧客バスケット金額の分布を確認できます。
- 左のチャートは、顧客の合計バスケット分布を示しています。これは「金額計算方針」([参照ページ](article:39))として「バスケットの合計金額」を設定した場合に、注目すべきグラフです。
- 右のグラフは、顧客の平均バスケット分布を示しています。これは「金額計算方針」([参照ページ](article:39))として「バスケットの平均金額」を設定した場合に、注目すべきグラフです。

## 購入商品数の分布
![number_of_items_purchased_distribution.png](gUALDQwSQxF9)

これらのグラフでは、購入商品数の分布を確認できます。
- 左のチャートは、顧客の合計購入商品数の分布を示しています。これは「金額計算方針」([参照ページ](article:39))として「バスケットの合計金額」を設定した場合に、注目すべきグラフです。
- 右のグラフは、顧客の平均購入商品数の分布を示しています。これは「金額計算方針」([参照ページ](article:39))として「バスケットの平均金額」を設定した場合に、注目すべきグラフです。

## 「取引回数」と「最終取引日からの経過日数」
![number_of_transactions_vs_days_since_last_transaction.png](KUlBEAXLhsOl)
この散布図では、顧客の「取引回数」と「最終取引日からの経過日数」によって、RFMスコアがどのように変化するかを確認することができます。

## 「バスケット」と「最終取引日からの経過日数」
![baskets_vs_days_since_last_transaction.png](FdNjvIXfbpmH)
この散布図では、顧客の「バスケット」と「最終取引日からの経過日数」によって、RFMスコアがどのように変化するかを確認できます。
- 左のチャートは「金額計算方針」([参照ページ](article:39))として「バスケットの合計金額」を設定した場合に、注目すべきグラフです。
- 右のグラフは「金額計算方針」([参照ページ](article:39))として「バスケットの平均金額」を設定した場合に、注目すべきグラフです。

## 「バスケット」と「取引回数」
![baskets_vs_number_of_transactions.png](rxwbJhp70MgW)
この散布図では、顧客の「バスケット」と「取引回数」によって、RFMスコアがどのように変化するかを確認できます。
- 左のチャートは「金額計算方針」([参照ページ](article:39))として「バスケットの合計金額」を設定した場合に、注目すべきグラフです。
- 右のグラフは「金額計算方針」([参照ページ](article:39))として「バスケットの平均金額」を設定した場合に、注目すべきグラフです。

## 「バスケット」と「購入数量」
![baskets_vs_quantity_of_items_purchased.png](2zmiWp5Je0Xz)
この散布図では、顧客の「バスケット」と「購入数量」によって、RFMスコアがどのように変化するかを確認できます。
- 左のチャートは「金額計算方針」([参照ページ](article:39))として「バスケットの合計金額」を設定した場合に、注目すべきグラフです。
- 右のグラフは「金額計算方針」([参照ページ](article:39))として「バスケットの平均金額」を設定した場合に、注目すべきグラフです。

この最後のチャートであまりにも大きな比例関係が見られる場合、**M（金額価値）**と**D（密度）**の相関が高すぎる可能性があります。このような場合、**RFM**の情報で十分であり、より多くお金を払う顧客はより多く購入する顧客であると考えられるので、**RFM*D***スコアとセグメントはあまり重要視すべきではありません。




